Commitments
Apply starter lifecycle reasons
Materializes selected reason contexts, or all contexts when context_keys is omitted/null. Existing nonempty catalogs are preserved; empty catalogs receive starter reasons. Returns all three current standards. Requires the workspace lifecycle feature. Mutation permission is lifecycle_reasons_manage or manage_settings.
POST
/
admin
/
lifecycle-reason-sets
/
apply-template
Apply starter lifecycle reasons
curl --request POST \
--url https://api.gratona.com/v1/admin/lifecycle-reason-sets/apply-template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"template_key": "sponsorship.v1",
"context_keys": [
"recipient.archive"
]
}
'import requests
url = "https://api.gratona.com/v1/admin/lifecycle-reason-sets/apply-template"
payload = {
"template_key": "sponsorship.v1",
"context_keys": ["recipient.archive"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({template_key: 'sponsorship.v1', context_keys: ['recipient.archive']})
};
fetch('https://api.gratona.com/v1/admin/lifecycle-reason-sets/apply-template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/lifecycle-reason-sets/apply-template",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'template_key' => 'sponsorship.v1',
'context_keys' => [
'recipient.archive'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/lifecycle-reason-sets/apply-template"
payload := strings.NewReader("{\n \"template_key\": \"sponsorship.v1\",\n \"context_keys\": [\n \"recipient.archive\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/lifecycle-reason-sets/apply-template")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"template_key\": \"sponsorship.v1\",\n \"context_keys\": [\n \"recipient.archive\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/lifecycle-reason-sets/apply-template")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"template_key\": \"sponsorship.v1\",\n \"context_keys\": [\n \"recipient.archive\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 42,
"context_key": "recipient.archive",
"label": "Recipient archive reasons",
"description": "Example",
"domain_key": "sponsorships",
"domain_label": "Commitments & recipients",
"selection_policy": "required",
"template_key": "Example",
"catalog_version": 1,
"materialized": false,
"starter_available": false,
"reasons": [
{
"id": 42,
"code": "donor_cancelled",
"label": "Donor cancelled",
"description": "Example",
"event_transition_type": "recipient_exited",
"is_active": false,
"requires_notes": false,
"source": "starter",
"sort_order": 0
}
]
}
]
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Body
application/json
Response
Apply starter lifecycle reasons completed.
Show child attributes
Show child attributes
⌘I
Apply starter lifecycle reasons
curl --request POST \
--url https://api.gratona.com/v1/admin/lifecycle-reason-sets/apply-template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"template_key": "sponsorship.v1",
"context_keys": [
"recipient.archive"
]
}
'import requests
url = "https://api.gratona.com/v1/admin/lifecycle-reason-sets/apply-template"
payload = {
"template_key": "sponsorship.v1",
"context_keys": ["recipient.archive"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({template_key: 'sponsorship.v1', context_keys: ['recipient.archive']})
};
fetch('https://api.gratona.com/v1/admin/lifecycle-reason-sets/apply-template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/lifecycle-reason-sets/apply-template",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'template_key' => 'sponsorship.v1',
'context_keys' => [
'recipient.archive'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/lifecycle-reason-sets/apply-template"
payload := strings.NewReader("{\n \"template_key\": \"sponsorship.v1\",\n \"context_keys\": [\n \"recipient.archive\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/lifecycle-reason-sets/apply-template")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"template_key\": \"sponsorship.v1\",\n \"context_keys\": [\n \"recipient.archive\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/lifecycle-reason-sets/apply-template")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"template_key\": \"sponsorship.v1\",\n \"context_keys\": [\n \"recipient.archive\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 42,
"context_key": "recipient.archive",
"label": "Recipient archive reasons",
"description": "Example",
"domain_key": "sponsorships",
"domain_label": "Commitments & recipients",
"selection_policy": "required",
"template_key": "Example",
"catalog_version": 1,
"materialized": false,
"starter_available": false,
"reasons": [
{
"id": 42,
"code": "donor_cancelled",
"label": "Donor cancelled",
"description": "Example",
"event_transition_type": "recipient_exited",
"is_active": false,
"requires_notes": false,
"source": "starter",
"sort_order": 0
}
]
}
]
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}